Package org.kapott.hbci.sepa.jaxb.pain_002_001_14

# Class Charges16

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_14.Charges16

public class Charges16 extends Object

Java class for Charges16 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Charges16">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}BranchAndFinancialInstitutionIdentification8"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ChargeType3Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentification8`
`agt`
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected ChargeType3Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`Charges16()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentification8`
`getAgt()`
Gets the value of the agt property.
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`ChargeType3Choice`
`getTp()`
Gets the value of the tp property.
`void`
`setAgt(BranchAndFinancialInstitutionIdentification8 value)`
Sets the value of the agt property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setTp(ChargeType3Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### agt

protected BranchAndFinancialInstitutionIdentification8 agt

### tp

protected ChargeType3Choice tp

## Constructor Details

### Charges16

public Charges16()

## Method Details

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getAgt

public BranchAndFinancialInstitutionIdentification8 getAgt()
Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification8`

### setAgt

public void setAgt(BranchAndFinancialInstitutionIdentification8 value)
Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification8`

### getTp

public ChargeType3Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `ChargeType3Choice`

### setTp

public void setTp(ChargeType3Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ChargeType3Choice`